Softaculous


Topic : Force auto upgrade preferences for users


Posted By: jesseamber on November 13, 2018, 9:34 pm
I have Softaculous set to auto upgrade Wordpress on all of my sites. With Wordpress 5.0 coming soon, I'd like to change this setting from "upgrade to any latest version available" to "upgrade to minor versions only". Because I have a couple dozen sites, I'd like to control this via WHM instead of setting it in each cPanel account.
I've gone into WHM's Softaculous settings and changed the setting for "Force Auto Upgrade preference for users' installations" to "Upgrade to Minor versions only". I assumed that this would affect all of my existing accounts, but if I log in to an individual cPanel account, the setting is still set to "Upgrade to any latest version available (Major as well as Minor)"
Can someone please clarify whether forcing preferences on user installations should affect existing installations, and if so, why it doesn't seem to be working? Thanks!

Posted By: Brijesh on November 15, 2018, 7:04 am | Post: 1
Hi,

The setting "Force Auto Upgrade preference for users' installations" will apply to the new installations performed after updating the setting.

In order to bulk update the existing installations I have attached a file in this post. Please rename the attached file to "auto_upgrade_minor.php" and upload it to your server at :
Code
/usr/local/cpanel/whostmgr/docroot/cgi/softaculous/auto_upgrade_minor.php


And then execute the following command :
Code
/usr/local/cpanel/3rdparty/bin/php /usr/local/cpanel/whostmgr/docroot/cgi/softaculous/auto_upgrade_minor.php


This will convert all WordPress installations that have auto upgrade enabled to auto upgrade for minor only.

We recommend to delete this file after exceuting the same :
Code
/usr/local/cpanel/whostmgr/docroot/cgi/softaculous/auto_upgrade_minor.php


-----------------------
SitePad Website Builder
Follow us on Twitter

Posted By: jesseamber on November 15, 2018, 4:38 pm | Post: 2
Thank you, I will try this. May I suggest updating the wording on these admin-level settings to indicate that it will only affect new installations?

Posted By: Brijesh on November 16, 2018, 6:51 am | Post: 3
Sure we will update the description.

-----------------------
SitePad Website Builder
Follow us on Twitter

Powered By AEF 1.0.8 © 2007-2008 Electron Inc.